# FairMQ: fair::mq::shmem::Monitor Class Reference

fair::mq::shmem::Monitor Class Reference

## Classes

struct | DaemonPresent

## Public Member Functions

| Monitor (const std::string &shmId, bool selfDestruct, bool interactive, bool viewOnly, unsigned int timeoutInMS, unsigned int intervalInMS, bool runAsDaemon, bool cleanOnExit)
| Monitor (const Monitor &)=delete
Monitor | operator= (const Monitor &)=delete
void | CatchSignals ()
void | Run ()

## Static Public Member Functions

static std::vector< std::pair< std::string, bool > > | Cleanup (const ShmId &shmId, bool verbose=true)
| Cleanup all shared memory artifacts created by devices. More...
static std::vector< std::pair< std::string, bool > > | Cleanup (const SessionId &sessionId, bool verbose=true)
| Cleanup all shared memory artifacts created by devices. More...
static std::vector< std::pair< std::string, bool > > | CleanupFull (const ShmId &shmId, bool verbose=true)
| Cleanup all shared memory artifacts created by devices and monitors. More...
static std::vector< std::pair< std::string, bool > > | CleanupFull (const SessionId &sessionId, bool verbose=true)
| Cleanup all shared memory artifacts created by devices and monitors. More...
static void | PrintDebugInfo (const ShmId &shmId)
static void | PrintDebugInfo (const SessionId &shmId)
static std::unordered_map< uint16_t, std::vector< BufferDebugInfo > > | GetDebugInfo (const ShmId &shmId)
static std::unordered_map< uint16_t, std::vector< BufferDebugInfo > > | GetDebugInfo (const SessionId &shmId)
static bool | RemoveObject (const std::string &name)
static bool | RemoveFileMapping (const std::string &name)
static bool | RemoveQueue (const std::string &name)
static bool | RemoveMutex (const std::string &name)
static bool | RemoveCondition (const std::string &name)

## Member Function Documentation

## Cleanup() [1/2]

std::vector< std::pair< std::string, bool > > fair::mq::shmem::Monitor::Cleanup | ( | const SessionId & | sessionId,
|  | bool | verbose = `true`
| ) |  |

static

Cleanup all shared memory artifacts created by devices.

Parameters

  sessionId | session id
  verbose | output cleanup results to stdout

## Cleanup() [2/2]

std::vector< std::pair< std::string, bool > > fair::mq::shmem::Monitor::Cleanup | ( | const ShmId & | shmId,
|  | bool | verbose = `true`
| ) |  |

static

Cleanup all shared memory artifacts created by devices.

Parameters

  shmId | shared memory id
  verbose | output cleanup results to stdout

## CleanupFull() [1/2]

std::vector< std::pair< std::string, bool > > fair::mq::shmem::Monitor::CleanupFull | ( | const SessionId & | sessionId,
|  | bool | verbose = `true`
| ) |  |

static

Cleanup all shared memory artifacts created by devices and monitors.

Parameters

  sessionId | session id
  verbose | output cleanup results to stdout

## CleanupFull() [2/2]

std::vector< std::pair< std::string, bool > > fair::mq::shmem::Monitor::CleanupFull | ( | const ShmId & | shmId,
|  | bool | verbose = `true`
| ) |  |

static

Cleanup all shared memory artifacts created by devices and monitors.

Parameters

  shmId | shared memory id
  verbose | output cleanup results to stdout

The documentation for this class was generated from the following files:

- fairmq/shmem/Monitor.h
- fairmq/shmem/Monitor.cxx

privacy